Update Schema
curl --request PUT \
--url https://api.contextual.ai/v1/extract/schemas/{schema_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"schema_definition": {},
"metadata": {}
}
'import requests
url = "https://api.contextual.ai/v1/extract/schemas/{schema_id}"
payload = {
"name": "<string>",
"description": "<string>",
"schema_definition": {},
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', description: '<string>', schema_definition: {}, metadata: {}})
};
fetch('https://api.contextual.ai/v1/extract/schemas/{schema_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"schema_id": "<string>",
"name": "<string>",
"schema_definition": {},
"metadata": {},
"created_at": "<string>",
"updated_at": "<string>",
"description": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}/extract
Update Schema
Update an existing schema.
PUT
/
extract
/
schemas
/
{schema_id}
Update Schema
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Successful Response
Response model for schema information.
Unique ID of the schema
Name of the schema
JSON schema definition
Schema metadata
Timestamp when the schema was created
Timestamp when the schema was last updated
Description of the schema
Was this page helpful?
⌘I